/*
 * TillPositionEvent Interface
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.AEF.event;

import com.ibm.retail.AEF.event.*;

/**
 *  This class is a sample user event.
 */

public interface TillPositionEvent extends POSAppEvent
{
   // Note, we want these constants to be the same as the attribute
   // names in the XML
   public static final String CASH_POSITION="cash";
   public static final String CHECK_POSITION="checks";
   public static final String FOODSTAMP_POSITION="foodstamps";
   
   /**
    * Get the cash position. 
    *
    *  @return String
    *
    */
   public String getCashPosition();

   /**
    * Get the foodstamps position. 
    *
    *  @return String
    *
    */
   public String getFoodStampPosition();

   /**
    * Get the check position. 
    *
    *  @return String
    *
    */
   public String getCheckPosition();


}
