/*
 * TillPositionEventImpl
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.AEF.event;

import com.ibm.retail.si.util.*;
import com.ibm.retail.AEF.data.*;
import com.ibm.retail.AEF.event.*;

import org.xml.sax.*;

/**
 *  An example of a user event.
 */

public class TillPositionEventImpl extends POSAppEventImpl implements TillPositionEvent
{
   static String copyright()
      { return com.ibm.retail.si.Copyright.IBM_COPYRIGHT_SHORT; }

   /**
    *  Construct an TillPositionEventImpl
    *
    */
   public TillPositionEventImpl()
   {
      super();
   }

   /**
    *  Sets default property values.
    *  
    *
    */
   public void setDefaultProperties()
   {
      //properties.put("????", new Boolean(false));
   }

   /**
    * Get the cash position. 
    *
    *  @return String
    *
    */
   public String getCashPosition()
   {

      return (String)(properties.get(TillPositionEvent.CASH_POSITION));
   }

   /**
    * Get the foodstamps position. 
    *
    *  @return String
    *
    */
   public String getFoodStampPosition()
   {

      return (String)(properties.get(TillPositionEvent.FOODSTAMP_POSITION));
   }

   /**
    * Get the check position. 
    *
    *  @return String
    *
    */
   public String getCheckPosition()
   {

      return (String)(properties.get(TillPositionEvent.CHECK_POSITION));
   }



   /**
    *  Gets the AEF property change category defined for this event.
    *  @return String   category id
    *
    */
   public String getPropertyChangeCategory()
   {
      return WorkstationStatusProperties.CATEGORY;
   }

   // Instance Variables


}
