/*
 * UserListenerSupportRegistrar
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * xxxx-xxx
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.AEF.session;

import com.userco.retail.AEF.event.*;
import com.ibm.retail.AEF.data.*;
import com.ibm.retail.AEF.session.*;

import java.rmi.*;

/**
 * This class is configured to be created when the session is created.
 * We use it to register our TillPositionListenerSupport instance with the
 * POSDataProvider.
 */

public class UserListenerSupportRegistrar implements SessionExtension
{
   /**
    * Constructor
    *
    *
    */
   public UserListenerSupportRegistrar()
   {
      tillPositionListenerSupport = new TillPositionListenerSupport();
   }
   
   /**
    * This method will be called after the session becomes ready.
    *
    * @param session The AEFSession associated with this extension object.
    *
    */
   public void setSession(AEFSession session)
   {
      POSDataProvider dataProvider = null;
      try
      {
         dataProvider=session.getPOSDataProvider();
         dataProvider.addPOSAppEventListenerSupport(tillPositionListenerSupport);
      }
      catch (RemoteException re)
      {
         // Impossible to get here, because the call is local.
      }
   }
   
   // Instance variables
   protected TillPositionListenerSupport tillPositionListenerSupport;

}
