/*
 * AEFExample1
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.client.example1;
import com.ibm.retail.si.util.*;
import com.ibm.retail.AEF.server.*;
import java.util.logging.*;

import com.ibm.retail.si.Copyright;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class demonstrates how to find a SessionServer
 * within the subnet.  A broadcast will be sent out, and
 * the first SessionServer which responds will be used.
 *
 **/
public class AEFExample1
{

   static String copyright()
      { return com.ibm.retail.si.Copyright.IBM_COPYRIGHT_SHORT; }

   private static Log log = LogFactory.getLog(AEFExample1.class);
  /*
   * The main routine
   *
   * @param args an array of strings for command line parameters
   */
  public static void main(String[] args)
  {
    System.out.println("Starting AEFExample1...");
    try
    {
      SessionServer server = AEFBase.getInstance().getSessionServer();
      if (server != null)
      {
        //connected
         System.out.println("Obtained SessionServer");
      }
      else
      {
        // couldn't connect -- URL is incorrect or server is down
        System.err.println("Unable to connect to AEF SessionServer.  ");
      }
    }
    catch (AEFException ae)
    {
      System.err.println("An AEF exception occurred: " + ae.getMessage());
      log.error("Unable to retrieve SessionServer.", ae);
    }
    System.out.println("AEFExample1 complete.");
    System.exit(0);
  }
}

