/*
 * AddItemAction
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.client.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.beans.*;
import java.util.*;
import java.util.prefs.*;

import com.ibm.retail.AEF.automation.*;

import java.util.logging.*;

import com.ibm.retail.si.Copyright;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class displays a dialog to query the item arguments,
 * then uses the arguments to add the item to the transaction.
 */
public class AddItemAction extends GUIAction
{

   static String copyright()
      { return com.ibm.retail.si.Copyright.IBM_COPYRIGHT_SHORT; }

   private static Log log = LogFactory.getLog(AddItemAction.class);

   private static Preferences prefs = Preferences.userNodeForPackage(AddItemAction.class);
   private static String itemCode = prefs.get("itemcode", "1");
   private static String quantity = prefs.get("quantity", "");
   private static String price = prefs.get("price", "");
   private static String weight = prefs.get("weight", "");
   private static JPanel form = new JPanel();
   private static JTextField itemCodeField = new JTextField(25);
   private static JTextField quantityField = new JTextField(6);
   private static JTextField priceField = new JTextField(15);
   private static JTextField weightField = new JTextField(10);
   static
   {
      form.setLayout(new GridLayout(4,2));      
      form.add(new JLabel("Item code :"));
      form.add(itemCodeField);
      form.add(new JLabel("Quantity  :"));
      form.add(quantityField);
      form.add(new JLabel("Price     :"));
      form.add(priceField);
      form.add(new JLabel("Weight    :"));
      form.add(weightField);
   }




   /**
    * Called when the action is to be performed (possibly from pressing a button).
    *
    * @param evt
    *
    */
   public void actionPerformed(ActionEvent evt)
   {      
      // Display the dialog to get the OperatorIdentifier properties.

      itemCodeField.setText(itemCode);
      quantityField.setText(quantity);
      priceField.setText(price);
      weightField.setText(weight);
      int n = JOptionPane.showOptionDialog((Frame)(getValue("frame")),
                                           form,
                                           "Add Item Arguments",
                                           JOptionPane.OK_CANCEL_OPTION,
                                           JOptionPane.QUESTION_MESSAGE,
                                           null,
                                           null,
                                           null);
      if (n == 0)
      {
         itemCode = itemCodeField.getText();
         quantity = quantityField.getText();
         price    = priceField.getText();
         weight   = weightField.getText();
         prefs.put("itemcode", itemCode);
         prefs.put("quantity", quantity);
         prefs.put("price", price);
         prefs.put("weight", weight);
         try
         {
            prefs.flush();
         }
         catch (Throwable th)
         {
            log.error("Unable to save add item form values.", th);
         }
         ItemIdentifier itemID = new ItemIdentifierImpl();
         if (itemCode != null && itemCode.length()>0)
         {
            itemID.setItemCode(itemCode);
         }
         if (quantity != null && quantity.length()>0)
         {
            itemID.setQuantity(quantity);
         }
         if (price != null && price.length()>0)
         {
            itemID.setPrice(price);
         }
         if (weight != null && weight.length()>0)
         {
            itemID.setWeight(weight);
         }
         Controller controller = (Controller)(getValue("controller"));
         controller.addItem(itemID);
      }
   }




   // Member variables
}
