/*
 * KeySequenceAction
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.client.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.beans.*;
import java.util.*;
import java.util.prefs.*;

import com.ibm.retail.AEF.automation.*;

import java.util.logging.*;

import com.ibm.retail.si.Copyright;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class sends a key sequence to the POS application.
 */
public class KeySequenceAction extends GUIAction
{

   static String copyright()
      { return com.ibm.retail.si.Copyright.IBM_COPYRIGHT_SHORT; }

   private static Log log = LogFactory.getLog(KeySequenceAction.class);

   private static Preferences prefs = Preferences.userNodeForPackage(KeySequenceAction.class);
   private static String sequence = prefs.get("sequence", "");
   private static JPanel form = new JPanel();
   private static JTextField sequenceField = new JTextField(20);
   static
   {
      form.setLayout(new FixedGridLayout(new Dimension(2,4)));      
      form.add(new JLabel("Enter key sequence to send to application."), new Rectangle(0,0,2,1));
      form.add(new JLabel("Put function code inside < > characters."), new Rectangle(0,1,2,1));
      form.add(new JLabel("Key Sequence:"), new Rectangle(0,2,1,1));
      form.add(sequenceField, new Rectangle(1,2,1,1));
   }




   /**
    * Called when the action is to be performed (possibly from pressing a button).
    *
    * @param evt
    *
    */
   public void actionPerformed(ActionEvent evt)
   {      
      // Display the dialog to get the OperatorIdentifier properties.

      sequenceField.setText(sequence);
      int n = JOptionPane.showOptionDialog((Frame)(getValue("frame")),
                                           form,
                                           "Key Sequence Arguments",
                                           JOptionPane.OK_CANCEL_OPTION,
                                           JOptionPane.QUESTION_MESSAGE,
                                           null,
                                           null,
                                           null);
      if (n == 0)
      {
         sequence = sequenceField.getText();
         prefs.put("sequence", sequence);
         try
         {
            prefs.flush();
         }
         catch (Throwable th)
         {
            log.error("Unable to save key sequence form values.", th);
         }
         if (sequence != null && sequence.length() > 0)
         {
            Controller controller = (Controller)(getValue("controller"));
            controller.keySequence(sequence);
         }
      }
   }




   // Member variables
}
