/*
 * LogonAction
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.client.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.beans.*;
import java.util.*;
import java.util.prefs.*;

import com.ibm.retail.AEF.automation.*;

import java.util.logging.*;

import com.ibm.retail.si.Copyright;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class performs the logon action.
 */
public class LogonAction extends GUIAction
{

   static String copyright()
      { return com.ibm.retail.si.Copyright.IBM_COPYRIGHT_SHORT; }

   private static Log log = LogFactory.getLog(LogonAction.class);

   private static Preferences prefs = Preferences.userNodeForPackage(LogonAction.class);
   private static String operatorID = prefs.get("ID", "1");
   private static String password = prefs.get("password", "1");
   private static JPanel form = new JPanel();
   private static JTextField idField = new JTextField(10);
   private static JTextField passwordField = new JTextField(10);
   static
   {
      form.setLayout(new GridLayout(2,2));      
      form.add(new JLabel("Operator ID:"));
      form.add(idField);
      form.add(new JLabel("Password   :"));
      form.add(passwordField);
   }




   /**
    * Called when the action is to be performed (possibly from pressing a button).
    *
    * @param evt
    *
    */
   public void actionPerformed(ActionEvent evt)
   {      
      // Display the dialog to get the OperatorIdentifier properties.

      idField.setText(operatorID);
      passwordField.setText(password);
      int n = JOptionPane.showOptionDialog((Frame)(getValue("frame")),
                                           form,
                                           "Logon Arguments",
                                           JOptionPane.OK_CANCEL_OPTION,
                                           JOptionPane.QUESTION_MESSAGE,
                                           null,
                                           null,
                                           null);
      if (n == 0)
      {
         operatorID = idField.getText();
         password = passwordField.getText();
         prefs.put("ID", operatorID);
         prefs.put("password", password);
         try
         {
            prefs.flush();
         }
         catch (Throwable th)
         {
            log.error("Unable to save logon form values.", th);
         }
         OperatorIdentifier opID = new OperatorIdentifierImpl();
         if (operatorID != null && operatorID.length() > 0)
         {
            opID.setID(operatorID);
         }
         if (password != null && password.length() > 0)
         {
            opID.setPassword(password);
         }
         Controller controller = (Controller)(getValue("controller"));
         controller.logon(opID);
      }
   }




   // Member variables
}
